<#ibizinclude>
./VIEW_LAYOUTPANEL/VIEW_LAYOUTPANEL_RENDER.ftl
</#ibizinclude>
<template>
<#if view.getPSViewLayoutPanel()?? && view.getPSViewLayoutPanel().isUseDefaultLayout()>
${P.getLayoutCode('VIEW.vue').code}
<#else>
    <#if view.getPSViewLayoutPanel().getLayoutMode()?? && view.getPSViewLayoutPanel().getLayoutMode() == "FLEX">
    <div v-show="!isLayoutLoadding" class="app-view-layout ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>" :style="{height: '100%', width: '100%','display': 'flex', 'flex-direction': 'column'}">
    <#else>
    <div v-show="!isLayoutLoadding" class="app-view-layout ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>" :style="{height: '100%', width: '100%', overflow: 'auto'}">
    </#if>
    <#if view.getPSViewLayoutPanel().getRootPSPanelItems()??>
        <#list view.getPSViewLayoutPanel().getRootPSPanelItems() as panelDetail>
        <@renderByDetailType panelDetail view false/>
        </#list>
    </#if>
    </div>
</#if>
</template>